For the complete documentation index, see llms.txt. This page is also available as Markdown.

Storage Class

This API is used to get a Storage Class Name

get
Authorizations
AuthorizationstringRequired

Type 'Bearer ' followed by your JWT token. Example: "Bearer eyJhbGciOi..."

Path parameters
project_idstringRequired

Project ID

Responses
200

Successful Response

application/json
codeintegerOptionalExample: 200
messagestringOptionalExample: Success
get/core/virtual-machine/storage-class/{project_id}
GET /core/virtual-machine/storage-class/{project_id} HTTP/1.1
Host: ai.cloudeka.id/
Authorization: YOUR_API_KEY
Accept: */*
{
  "code": 200,
  "data": {
    "created_at": "text",
    "deleted_at": {
      "time": "text",
      "valid": true
    },
    "description": "text",
    "id": "text",
    "logo": "text",
    "name": "text",
    "product_id": "text",
    "slug": "text",
    "status": 1,
    "updated_at": "text"
  },
  "message": "Success"
}

Last updated